TelepathyQt4: MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > Class Template Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 > Class Template Reference

`#include <TelepathyQt4/method-invocation-context.h>`

Inherits Tp::RefCounted.

List of all members.

## Classes

- struct Select

## Public Member Functions

- MethodInvocationContext (const QDBusConnection &bus, const QDBusMessage &message)
- virtual ~MethodInvocationContext ()
- bool isFinished () const
- bool isError () const
- QString errorName () const
- QString errorMessage () const
- void setFinished (const T1 &t1=T1(), const T2 &t2=T2(), const T3 &t3=T3(), const T4 &t4=T4(), const T5 &t5=T5(), const T6 &t6=T6(), const T7 &t7=T7(), const T8 &t8=T8())
- void setFinishedWithError (const QString &errorName, const QString &errorMessage)
- template<int Index> Select< Index >::Type argumentAt () const

## Protected Member Functions

- virtual void onFinished ()

### template<typename T1 = MethodInvocationContextTypes::Nil, typename T2 = MethodInvocationContextTypes::Nil, typename T3 = MethodInvocationContextTypes::Nil, typename T4 = MethodInvocationContextTypes::Nil, typename T5 = MethodInvocationContextTypes::Nil, typename T6 = MethodInvocationContextTypes::Nil, typename T7 = MethodInvocationContextTypes::Nil, typename T8 = MethodInvocationContextTypes::Nil>
class Tp::MethodInvocationContext< T1, T2, T3, T4, T5, T6, T7, T8 >

## Constructor & Destructor Documentation

MethodInvocationContext | ( | const QDBusConnection & | bus,
|  | const QDBusMessage & | message |
| ) |  |  | `[inline]`

virtual ~MethodInvocationContext | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

bool isFinished | ( |  | ) | const`[inline]`

bool isError | ( |  | ) | const`[inline]`

QString errorName | ( |  | ) | const`[inline]`

QString errorMessage | ( |  | ) | const`[inline]`

void setFinished | ( | const T1 & | t1 = `T1()`,
|  | const T2 & | t2 = `T2()`,
|  | const T3 & | t3 = `T3()`,
|  | const T4 & | t4 = `T4()`,
|  | const T5 & | t5 = `T5()`,
|  | const T6 & | t6 = `T6()`,
|  | const T7 & | t7 = `T7()`,
|  | const T8 & | t8 = `T8()` |
| ) |  |  | `[inline]`

void setFinishedWithError | ( | const QString & | errorName,
|  | const QString & | errorMessage |
| ) |  |  | `[inline]`

Select<Index>::Type argumentAt | ( |  | ) | const`[inline]`

virtual void onFinished | ( |  | ) | `[inline, protected, virtual]`